! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
module getfilterid_mod

   use errorhandling

   implicit none

contains

function getFilterID(filterString) result(j)

   character(len=*), intent(in) :: filterString
   character(len=9) :: filtdata(24:35)
   integer i
   integer j

   filtdata = (/ "BLOCKED  ", "UVW2     ", "UVM2     ", "UVW1     ", &
  &              "U        ", "B        ", "V        ", "WHITE    ", &
  &              "MAGNIFIER", "GRISM1   ", "GRISM2   ", "BARREDU  " /)

 
   j = -1 
   do i = 24, 35
      if (trim(filterString) .eq. trim(filtdata(i))) then
         j = i
      end if
   end do

   if (j < 0) then
      call fatal("badFilt", "filter not recognised")
   end if

end function getFilterID

end module getFilterID_mod
