! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
!*****************************************
! Module omdetectconstants_mod
!
! Declares various global constants
!****************************************
module omconstants_mod
    use dal
    use cal
    integer (int32), public :: binx = 0  ! x binning factor
    integer (int32), public :: biny = 0  ! y binning factor                    

    real(double), public, parameter :: PI = 3.141592653589793_double  
    real(double), public, parameter :: TWO_PI = 2.0_double * PI      
    real(double), public, parameter :: HALF_PI = PI / 2.0_double
    real(double), public, parameter :: radiansToDegrees = 180.0_double / PI
    real(double), public, parameter :: degreesToRadians = PI / 180.0_double

    real(single), public, parameter :: pixelIgnoreFlag = -1e8

    real(double), parameter         :: radiansToArcSecs = radiansToDegrees * 3600.0_double 

    real(double)         :: xCentre = 1024.5_double
    real(double)         :: yCentre = 1024.5_double
 

end module omconstants_mod




