! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
module readModes_mod

  use dal
  implicit none

  private

  public readModes

contains

subroutine readModes(thisDataSet, x0, y0, dx, dy)


implicit none

type(DataSetT)    ::      thisDataSet
type(TableT)      ::      modesTable
type(ColumnT)     ::      modesColumn
integer(int32)    :: x0, y0, dx, dy
integer(int32), pointer :: pcol(:)

modesTable = table(thisDataSet, "MODES")

modesColumn = column(modesTable, "WINDOWX0", Read)
pcol => int32data(modesColumn)
x0 = pcol(0)
call release(modesColumn)


modesColumn = column(modesTable, "WINDOWY0", Read)
pcol => int32data(modesColumn)
y0 = pcol(0)
call release(modesColumn)


modesColumn = column(modesTable, "WINDOWDX", Read)
pcol => int32data(modesColumn)
dx = pcol(0)
call release(modesColumn)


modesColumn = column(modesTable, "WINDOWDY", Read)
pcol => int32data(modesColumn)
dy = pcol(0)
call release(modesColumn)

call release(modesTable)

end subroutine readModes

end module readModes_mod
